com.impinj.octane

## Class AntennaUtilities

- java.lang.Object
- - com.impinj.octane.AntennaUtilities

-     public final class AntennaUtilities
      extends java.lang.Object

  Static class that provides utility functions for getting antenna patterns.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<java.lang.Integer>` | `GetAntennaIdsByRing(java.util.List<? extends java.lang.Number> rings, ReaderModel model)` Accepts a list of rings and a reader model, and returns the list of antennas in the selected rings.
    `static java.util.List<java.lang.Integer>` | `GetAntennaIdsBySector(java.util.List<? extends java.lang.Number> sectors, ReaderModel model)` Accepts a list of sectors and a reader model, and returns the list of antennas in the selected sectors.
    `static java.util.List<java.lang.Integer>` | `GetAvailableSectors(ReaderModel model)` Gets the list of available sectors for the reader model.
    `static java.util.List<java.lang.Integer>` | `GetOptimizedAntennaList(ReaderModel model)` Get the optimized antenna list for the provided reader model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### GetOptimizedAntennaList

          public static java.util.List<java.lang.Integer> GetOptimizedAntennaList(ReaderModel model)

      Get the optimized antenna list for the provided reader model.
      Parameters:
        `model` - The model of the reader whose optimized antenna list is desired.
      Returns:
        The list of antenna IDs, optimized for the provided reader model, as an unmodifiable list.

    - #### GetAntennaIdsBySector

          public static java.util.List<java.lang.Integer> GetAntennaIdsBySector(java.util.List<? extends java.lang.Number> sectors,
                                                                                ReaderModel model)

      Accepts a list of sectors and a reader model, and returns the list of antennas in the selected sectors.
      Parameters:
        `sectors` - The list of sectors, whose associated antennas are desired.
        `model` - The model of the reader whose sector to antenna mapping is desired.
      Returns:
        The list of antenna IDs in the provided sectors, as an unmodifiable list.

    - #### GetAvailableSectors

          public static java.util.List<java.lang.Integer> GetAvailableSectors(ReaderModel model)

      Gets the list of available sectors for the reader model.
      Parameters:
        `model` - The model of the reader whose sector list is desired.
      Returns:
        A List containing all of the available sectors for the reader model.

    - #### GetAntennaIdsByRing

          public static java.util.List<java.lang.Integer> GetAntennaIdsByRing(java.util.List<? extends java.lang.Number> rings,
                                                                              ReaderModel model)

      Accepts a list of rings and a reader model, and returns the list of antennas in the selected rings.
      Parameters:
        `rings` - The list of rings, whose associated antennas are desired.
        `model` - The model of the reader whose ring to antenna mapping is desired.
      Returns:
        The list of antenna IDs in the provided ring, as an unmodifiable list.